﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Life
{
    class Program
    {
        static void Main(string[] args)
        {
            int szerokosc, wysokość;
            double prawdopodobienstwo;

            Console.Clear();
            Console.Write("Szerokosc planszy [domyślnie 10] = ");
            if (int.TryParse(Console.ReadLine(), out szerokosc) == false) szerokosc = 10;

            Console.Write("Wysokość   planszy [domyślnie 10] = ");
            if (int.TryParse(Console.ReadLine(), out wysokość) == false) wysokość = 10;

            Console.Write("prawdopodobienstwo [domyślnie 0.25] = ");
            if (double.TryParse(Console.ReadLine(), out prawdopodobienstwo) == false) prawdopodobienstwo = 0.25;
            if (prawdopodobienstwo < 0 || prawdopodobienstwo > 1) prawdopodobienstwo = 0.25;

            Plansza gra = new Plansza(wysokość, szerokosc, prawdopodobienstwo);
            Console.CursorVisible = false;
          
            while(true)
            {
                gra.Rysuj();
                Console.WriteLine("Wcisnij SPACJE aby przerwac symulacje.");
                System.Threading.Thread.Sleep(100);
                gra.Cykl();

                if (Console.KeyAvailable == true)
                {
                    ConsoleKeyInfo cki = Console.ReadKey(true);
                    if (cki.Key == ConsoleKey.Spacebar) break; 
                    gra.Znak = cki.KeyChar;
                }
            }

            string nazwapliku = "life.txt";
            Console.CursorVisible = true;
            Console.Write("Podaj nazw pliku do zapisu [domyślnie life.txt] ");
            string nazwa = Console.ReadLine();
            if (nazwa.Length != 0) nazwapliku = nazwa;
            if (gra.Zapisz(nazwapliku))
                Console.WriteLine("Ok. Zapisany ostatni stan");
            else
                Console.WriteLine("Blad zapisu!");
        }
    }
}
